[beagleboard] getting errors during the compilation of android in ubuntu 11.10

That suggest zlib1g-dev package is needed.
root@bone:~# dpkg -S /usr/include/zlib.h
zlib1g-dev:armhf: /usr/include/zlib.h
Regards
Sid.